Applications Changelog

All currently supported components and applications are listed here.

Helm Charts added to the catalog

2022-10

RabbitMQ Cluster Operator

2022-09

ClickHouse

2022-07

Matomo

2022-06

Schema registry, Pinniped

2022-05

Grafana Loki

2021-11

SonarQube

2021-10

Apache Geode, Contour Operator, Argo Workflows

2021-09

Sealed Secrets, Data Platform Blueprint 1, Data Platform Blueprint 2

2021-07

Grafana Tempo, OAuth2 Proxy, Concourse, Argo CD

2021-06

HAProxy

2021-05

cert-manager

2021-04

Jupyter Hub

2021-03

Wavefront Helm Chart uses a Kubernetes Collector that is now based on scratch (instead of the main distro image), Wavefront Prometheus Storage Adapter, Wavefront Adapter for Istio

2021-02

Grafana Operator, Apache Solr

2020-12

Kubernetes event exporter

2020-11

Keycloak, Kiam

2020-10

Wavefront

2020-08

Kubeapps

2020-07

ASPNet Core, EJBCA

2020-06

Contour, Spring Cloud Data Flow

2020-04

Kong

2020-03

Apache, Apache Airflow, Cassandra, Consul, Elasticsearch, Etcd, External DNS, Fluentd, Grafana, Harbor, InfluxDB, Jenkins, Kafka, Kibana, Kube-state-metrics, Kubewatch, Logstash, MXNet, MariaDB, MariaDB Galera, Memcached, Metrics Server, Minio, MongoDB, MongoDB Sharded, MySQL, NATS, Nginx, Nginx Ingress Controller, Node exporter, Parse, PostgreSQL, PostgreSQL HA, Prometheus Operator, PyTorch, RabbitMQ, Redis, Redis Cluster, Spark, Tensorflow ResNet, Thanos, Tomcat, WildFly, WordPress, Zookeeper

Containers added to the catalog

2022-10

RabbitMQ Cluster Operator, RabbitMQ Default User Credential Updater, RabbitMQ Messaging Topology Operator

2022-09

ClickHouse

2022-08

MetalLB, MetalLB Speaker

2022-07

Matomo, Push Gateway

2022-06

Percona MySQL, KSQL DB, Schema registry, Pinniped

2022-05

Grafana Loki, Promtail

2022-03

Harbor Exporter, Blackbox Exporter

2022-02

Cosign

2022-01

Gitlab Runner, Gitlab Runner Helper

2021-11

SonarQube

2021-10

Apache Geode, Contour Operator, Argo Workflow CLI Contour and Envoy Photon based images are now built with FIPS validated crypto modules (respectively VMware’s BoringCrypto Module v1.0 and BoringSSL with FIPS), other distributions are not affected by this change

2021-09

Sealed Secrets, OpenLDAP, Data Platform Metrics Emitter, Data Platform Metrics Exporter, Argo Workflow Executor, Argo Workflow Controller

2021-08

Kubeapps APIs

2021-07

OpenResty, Grafana Tempo, Grafana Tempo Query, Grafana Tempo Vulture, OAuth2 Proxy, Argo CD, Concourse

2021-06

Dex, Neo4j, HAProxy

2021-05

CA Injector, cert-manager, cert-manager Webhook, ACME Solver

2021-04

AWS CLI version 2, Configurable HTTP Proxy, JupyterHub, JupyterHub Single User Base

2021-03

Kubernetes Collector that is now based on scratch (instead of the main distro image), Wavefront Prometheus Storage Adapter, Redis Sentinel Exporter, Wavefront Adapter for Istio

2021-02

Grafana Operator, Apache Solr, ORAS, Trivy, bitnami-shell, kubeapps-pinniped-proxy, keycloak-config-cli

2021-01

PgBouncer

2020-12

Kubernetes event exporter

2020-11

Keycloak, Kiam

2020-10

Wavefront Kubernetes Collector, Wavefront Proxy

2020-08

Kubeapps AppRepository Controller, Kubeapps Asset Syncer, Kubeapps AssetSvc, Kubeapps Kubeops, Kubectl, OAuth2 Proxy

2020-07

EJBCA, Kapacitor, Percona Xtrabackup, Telegraf, Wal-G, rClone

2020-06

Contour, Envoy, Prometheus RSocket Proxy, Spring Cloud Data Flow, Spring Cloud Skipper, Spring Cloud Data Flow Composed Task Runner

2020-05

Grafana Image Render, Harbor Adapter Trivy, JRuby, NGINX LDAP Auth Daemon

2020-04

Aspnet Core, Dotnet, Dotnet SDK, Kong, Kong Ingress Controller

2020-03

AlertManager, Apache, Apache Airflow, Apache Airflow Exporter, Apache Airflow Scheduler, Apache Airflow Worker, Apache Exporter, Azure CLI, Cassandra, Cassandra Exporter, Chartmuseum, ConfigMap Reload, Consul, Consul Exporter, Elasticsearch, Elasticsearch Curator, Elasticsearch Exporter, ExternalDNS, Fluentd, Git, Golang, Google Cloud SDK, Grafana, Harbor Adapter Clair, Harbor Clair, Harbor Core, Harbor JobService, Harbor Notary Server, Harbor Notary Signer, Harbor Portal, Harbor Registry, Harbor Registryctl, InfluxDB, InfluxDB Relay, JMX Exporter, Java, Jenkins, Jenkins Exporter, Kafka, Kafka Exporter, Kibana, Kube-state-metrics, Kubewatch, MXNet, MariaDB, MariaDB Galera, Memcached, Memcached Exporter, Metrics Server, Minio, Minio Client, MongoDB, MongoDB Exporter, MongoDB Sharded, MySQL, MySQL Server Exporter, NATS, NATS Exporter, NGINX Exporter, NGINX Ingress Controller, NGINX Open Source, Node Exporter, Node.js, PHP-FPM, Parse, Parse Dashboard, Pgpool, PostgreSQL, PostgreSQL Exporter, PostgreSQL Repmgr, Prometheus, Prometheus Operator, Python, Pytorch, RabbitMQ, Redis, Redis Cluster, Redis Exporter, Redis Sentinel, Ruby, Spark, Tensorflow ResNet, Tensorflow Serving, Thanos, Tomcat, WildFly, WordPress, Zookeeper, etcd, logstash, logstash Exporter, Gradle

Exceptions

Debian

Container Image Distro version Comments
MongoDB/MongoDB Sharded 4.x.x Debian 11 No MongoDB packages available

CentOS

Container Image Distro version Comments
Argo CD CentOS 7 Incompatibilities with the legacy GPG keyring format
Envoy CentOS 7 Incompatible libc https://github.com/istio/istio/issues/9358
Kong CentOS 7 Incompatible OpenSSL library
Node.js >= 18 CentOS 7 Incompatible libc https://github.com/nodejs/node/releases/tag/v18.0.0
Python >= 3.10 CentOS 7 Incompatible OpenSSL library (Version 1.1.1 required)
Contour/Contour Operator** CentOS 7 Depends on Envoy > 1.22

**Unsupported assets due to dependencies

PhotonOS

Container Image Distro version Comments
Envoy PhotonOS 3 Incompatible libc https://github.com/istio/istio/issues/9358
Grafana Image Renderer* PhotonOS 3, PhotonOS 4 No X11 packages available (required for Chromium dependency)
Kong PhotonOS 3 Incompatible OpenSSL library
MongoDB/MongoDB Sharded PhotonOS 4 No MongoDB packages available
MXNet PhotonOS 3, PhotonOS 4 Issue compiling OpenBLAS
MySQL 5.7.x PhotonOS 4 Incompatible OpenSSL (Version 1.1 required)
MySQL >= 8.0.29 PhotonOS 3 Incompatible GCC (Version >= 8.1.0 required)
OpenLDAP PhotonOS 3 Incompatible OpenSSL (Version 1.1 required)
Percona XtraBackup 8 PhotonOS 4 Incompatible OpenSSL (Version 1.1 required)
PHP/libphp <= 7.4.x PhotonOS 3 No mcrypt packages available
PHP/libphp <= 8.0.x PhotonOS 4 Incompatible OpenSSL library (Version 1.1.1 required)
Python >= 3.10 PhotonOS 3 Incompatible OpenSSL library (Version 1.1.1 required)
PyTorch PhotonOS 3 Incompatible GCC (Version >= 7.4.0 required)
Ruby <= 3.0.x PhotonOS 4 Incompatible OpenSSL (Version 1.1 required)
TensorFlow Serving PhotonOS 3 Incompatible GCC (Version >= 7.4.0 required)
TensorFlow ResNet PhotonOS 3 Depends on TensorFlow Serving
Argo Workflows** PhotonOS 3 Depends on MySQL 8.0.x
Contour/Contour Operator** PhotonOS 3 Depends on Envoy > 1.22
Parse/Parse Dashboard** PhotonOS 4 Depends on MongoDB
TensorFlow ResNet** PhotonOS 3 Depends on TensorFlow Serving
WordPress** PhotonOS 3 Depends on MySQL 8.0.x

**Unsupported assets due to dependencies

RedHat UBI

Container Image Distro version Comments
MariaDB/MariaDB Galera <=10.4. RedHat UBI 9 Incompatibility with nettle package
MySQL 5.7 RedHat UBI 9 Incompatible OpenSSL (Version 1.1 required)
OpenLDAP RedHat UBI 9 SHA256 issue in pw-sha2.so
OpenResty RedHat UBI 8, RedHat UBI 9 Missing system package (geoip-devel)
Percona MySQL RedHat UBI 8, RedHat UBI 9 Incompatible libcrypt library. Missing system package (numactl-libs)
PHP/libphp RedHat UBI 8, RedHat UBI 9 Missing system package (bison)
Ruby <= 3.0.x RedHat UBI 9 Incompatible OpenSSL (Version 1.1 required)
Contour** RedHat UBI 8, RedHat UBI 9 Depends on NGINX
Matomo** RedHat UBI 8, RedHat UBI 9 Depends on PHP
MongoDB/MongoDB Sharded** RedHat UBI 8, RedHat UBI 9 Depends on NGINX
NGINX Ingress Controller** RedHat UBI 8, RedHat UBI 9 Depends on NGINX
Parse/Parse Dashboard** RedHat UBI 8, RedHat UBI 9 Depends on MongoDB
WordPress** RedHat UBI 8, RedHat UBI 9 Depends on PHP

**Unsupported assets due to dependencies

Ubuntu

Container Image Distro version Comments
Aspnet Core, Dotnet, Dotnet SDK Ubuntu 22.04 Issue with liblttng-ust.so.0 https://github.com/dotnet/runtime/issues/57784
Envoy Ubuntu 22.04 Issue compiling v8
MongoDB/MongoDB Sharded Ubuntu 22.04 No MongoDB packages available
MySQL 5.7.x Ubuntu 22.04 Incompatible OpenSSL (Version 1.1 required)
Node.js >= 18 Ubuntu 18.04 Incompatible libc https://github.com/nodejs/node/releases/tag/v18.0.0
OpenLDAP Ubuntu 22.04 SHA256 issue in pw-sha2.so library
Percona XtraBackup 8 Ubuntu 22.04 Incompatible OpenSSL (Version 1.1 required)
PHP/libphp <= 8.0.x Ubuntu 22.04 Incompatible OpenSSL library (Version 1.1.1 required)
Ruby <= 3.0.x Ubuntu 22.04 Incompatible OpenSSL (Version 1.1 required)
Contour/Contour Operator** Ubuntu 22.04 Depends on Envoy > 1.22
Parse/Parse Dashboard** Ubuntu 22.04 Depends on MongoDB

**Unsupported assets due to dependencies

*Grafana Image Renderer in PhotonOS, a special case

Grafana Image Renderer is a Grafana plugin that requires a homonym container in the Helm chart to work properly. This is an optional container and it is deactivated by default. It can be enabled by using the imageRenderer.enabled=true parameter.

The Grafana Image Renderer container bundled as part of the Grafana Helm chart can’t be built based on PhotonOS due to a missing system package (X11). Instead of dropping the support of the Grafana Helm chart because of this limitation, we are using a Debian-based image to provide this functionality.

Deprecated Branches

2022-11

Kubernetes-event-exporter 0, Java 18, .Net, .Net SDK & ASPNET Core 3.1, Contour & Contour Operator 1.20, Envoy 1.20, Spark 3.1, Parse & Parse Dashboard 3 and 4, Wavefront Proxy 10, Kafka 3.0, Kubectl 1.22, Kong 2, PostgreSQL & PostgreSQL HA 10

2022-10

Keycloak 18, JupyterHub 1, Jupyter Base Notebook 1 and 2

2022-09

KSQL DB 6.0, Schema registry 6.0, Golang 1.17

2022-08

Envoy 1.19, Grafana 8, Node.js 12, .Net & .Net SDK 5

2022-07

WordPress 5, RabbitMQ 3.8, NGINX 1.21, Gitlab Runner 14 & Gitlab Runner Helper 14, Python 2, Redis, Redis Cluster, Redis Sentinel 6.0, Node.js 17, OpenResty 1.19

2022-06

NGINX 1.20, Zookeeper 3.5, Ruby 2.6, MariaDB & MariaDB Galera 10.2, MongoDB & MongoDB Sharded 4.0, Kafka 2.8, Kubectl 1.21, Aspnet Core 5, Keycloak 17, keycloak-config-cli 4, Cassandra 3.0 and 3.11

2022-05

Envoy 1.18, Keycloak 16

2022-04

Golang 1.16, Elasticsearch, Kibana 6

2022-03

Redis, Redis Sentinel & Redis-Cluster 5.0, Python 3.6, OpenLDAP 2.4, Kubectl 1.20, Kiam 3, InfluxDB 1

2022-02

Envoy 1.17, MinIO & MinIO Client 2021, DataPlatform Emitter 0, DataPlatform Exporter 0

2022-01

Keycloak 15, Kibana 7.10.2, Elasticsearch 7.10.2, WildFly 25, Grafana Operator 3, MongoDB Exporter 0.11, PostgreSQL & PostgreSQL HA 9.6, PHP 7.3

2021-12

Kong Ingress Controller 1, Kubectl 1.19, WildFly 24

2021-11

Envoy 1.16, EJBCA 6, JRuby 9.2, Airflow 1, Airflow Scheduler 1, Airflow Worker 1, NGINX Ingress Controller 0, Parse Dashboard 2, Java 16

2021-10

MongoDB/MongoDB Sharded 3.4 and 3.6

2021-09

Keycloak 14, Golang 1.15

2021-08

keycloak-config-cli 3, Wavefront Proxy 9, Keycloak 13, Grafana 7

2021-07

WildFly 23, Grafana Image Renderer 2, Schema Registry 6.1, NGINX 1.19, WAL-G 0, Node.js 15, Golang 1.14, Kong Ingress Controller 0

2021-06

kube-state-metrics 1, Keycloak 12, Node.js 10, NGINX 1.18

2021-05

Kubectl 1.16, 1.17 & 1.18, Tomcat 7, Java 15, Ruby 2.5, OAuth2-Proxy 6, WildFly 22

Deprecated Containers/Helm charts

2022-10

Kubeapps kubeops

2022-07

Elasticsearch curator, Fluentd Exporter, Wavefront Adapter for Istio, Kubeapps AssetSvc

2022-06

Harbor Clair, Harbor Adapter Clair

2022-05

InfluxDB Relay™, Logstash-exporter, Data Platform Blueprint 1, Data Platform Blueprint 2, Data Platform Metrics Emitter, Data Platform Metrics Exporter

2022-04

Nginx LDAP Auth Daemon

2022-03

Kubewatch, Jenkins-exporter, WAL-G

2021-07

Redis Sentinel Exporter

2020-09

Kubeapps ChartSvc

2020-04

RabbitMQ Exporter, Zookeeper Exporter

Container/Helm charts Deprecation Notices

Geode (12-08-2022)

Geode container and chart are no longer maintained by VMware Application Catalog and are now internally tagged as to be deprecated. This container and chart will no longer be released in our catalog a month after this notice is published, but already released container images and chart versions will still persist in the registries. Valid to be removed starting on: 12-08-2022

check-circle-line exclamation-circle-line close-line
Scroll to top icon